Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.share
Class TimerExecutor

    java.lang.Object
      oracle.ifs.share.Executor
          oracle.ifs.share.TimerExecutor

All Implemented Interfaces:
  java.lang.Runnable

    public class TimerExecutor

extends Executor

An Executor that performs timer tasks.

Constructor Summary
`TimerExecutor()` Constructs a TimerExecutor.

Method Summary
`protected void` | `callTask(Task task)` Calls and completes the task.
`void` | `interrupt()` Interrupts any timer tasks that are active.
`void` | `shutdown()` Shuts down this service.
`void` | `start()` Starts the executor.

Methods inherited from class oracle.ifs.share.Executor
`getQueueSize, handleShutdown, interruptExecutingThread, isRequestQueueEmpty, run, startThread, submit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimerExecutor

    public TimerExecutor()

  Constructs a TimerExecutor.

Method Detail

### start

    public void start()

  Description copied from class: `TimerExecutor`
  Starts the executor.

### interrupt

    public void interrupt()

  Description copied from class: `TimerExecutor`
  Interrupts any timer tasks that are active.

### shutdown

    public void shutdown()

  Description copied from class: `Executor`
  Shuts down this service.

  Overrides:
    `shutdown` in class `Executor`

### callTask

    protected void callTask(Task task)

  Description copied from class: `TimerExecutor`
  Calls and completes the task.

  Overridden to clear the executing thread's interrupt status, and to skip the task if there's another on the queue.

  Overrides:
    `callTask` in class `Executor`
  Parameters:
    `task` - the task being executed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD